﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.Home" Title="Home" CodeBehind="Home.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.ASPxRichEdit.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxRichEdit" TagPrefix="dx" %>

<%@ Register Assembly="DevExpress.Web.ASPxSpreadsheet.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxSpreadsheet" TagPrefix="dx" %>

<%@ Register TagPrefix="uc1" TagName="ReportParameters" Src="ReportParameters.ascx" %>
<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="CrystalDecisions.Web, Version=13.0.3500.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"	Namespace="CrystalDecisions.Web" TagPrefix="CR" %>
<%@ Register Assembly="DevExpress.XtraReports.v19.2.Web.WebForms, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.XtraReports.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        .edInline
        {
            display: inline-table;
        }
    </style>
    <script type="text/javascript">
        /*
        window.$my = {
            dlgCloseBtn: $('div.dlgCloseBtn')
        };

        $(document).ready(function () {
            enableDlgCloseBtn();
        });

        */
        /* Loops every third of a second until the parameter box's Close button can be made visible */

        /*
        function enableDlgCloseBtn() {

            if ($my.dlgCloseBtn.css('visibility') === undefined) {
                $my.dlgCloseBtn = $('div.dlgCloseBtn');
            } else if ($mydlgCloseBtn.css('visibility') !== 'visible') {
                $my.dlgCloseBtn.css('visibility', 'visible');
                return;
            }

            window.setTimeout(enableDlgCloseBtn, 333);
        }
        */

		function contextMenuItemClicking(sender, eventArgs) {

			var node = eventArgs.get_node();
			var item = eventArgs.get_menuItem();

			if (item.get_text() == "Delete Document") {
				if (!confirm("Are you sure you want to delete document " + node.get_text() + "?"))
					eventArgs.set_cancel(true);
			}
			if (item.get_text() == "Delete Folder") {
				if (!confirm("Are you sure you want to delete folder " + node.get_text() + "?"))
					eventArgs.set_cancel(true);
			}

        }
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
    <div id="Search">
		Search
        <dx:ASPxTextBox ID="aspxtxtSearch" runat="server" Width="250px" CssClass="edInline"></dx:ASPxTextBox>
        &nbsp;<dx:ASPxButton ID="aspxbtnSearch" runat="server" Text="Go" CssClass="edInline"></dx:ASPxButton>
	</div>
	<div id="progressIndicator">
		<asp:UpdateProgress id="UpdateProgress1" runat="server" DisplayAfter="200" DynamicLayout="False">
			<progresstemplate>
				<img src="Images/progress.gif" alt="" /> Loading...
			</progresstemplate>
		</asp:UpdateProgress>
	</div>
	<div id="messagesHome">
		<asp:Label ID="lblMessages" runat="server" Text="" ForeColor="Red" Width="300px"></asp:Label>
	    <asp:Label ID="lblUserID" runat="server" Text="0" Visible="False"></asp:Label>
	</div>
	<br />
	<dx:ASPxPageControl ID="ASPxPageControl1" runat="server" ActiveTabIndex="0" TabSpacing="0px" Width="99%" EnableClientSideAPI="True" ClientInstanceName="HomeTabs" EnableCallBacks="False" AutoPostBack="True">
		<TabPages>
			<dx:TabPage Name="tabHome" Text="Home" ToolTip="Ripplestone Home">
				<ContentCollection>
					<dx:ContentControl ID="tabGeneral" runat="server" SupportsDisabledAttribute="True" Width="100%">
						<div id="ReportFolders">
                            <dx:ASPxRoundPanel ID="ASPxRoundPanel1" runat="server" ShowCollapseButton="true" Width="100%" HeaderText="Document Folders">
                                <PanelCollection>
                                    <dx:PanelContent>
                                        <telerik:RadTreeView ID="RadTreeFolders" runat="server" OnClientContextMenuItemClicking="contextMenuItemClicking"
                                            imagesbasedir="~/" loadingmessageposition="AfterNodeText" autopostback="True">
                                            <CollapseAnimation Type="OutQuint" Duration="100"></CollapseAnimation>
                                            <ExpandAnimation Duration="100"></ExpandAnimation>
                                            <ContextMenus>
                                                <telerik:RadTreeViewContextMenu ID="DocumentUser" runat="server" Width="150px">
                                                    <Items>
                                                    </Items>
                                                </telerik:RadTreeViewContextMenu>
                                                <telerik:RadTreeViewContextMenu ID="Folder" runat="server" Width="150px">
                                                    <Items>
                                                        <telerik:RadMenuItem Value="New Folder" Text="New Folder" ImageUrl="~\Images\NewFolder.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Edit Folder" Text="Edit Folder" ImageUrl="~\Images\Edit.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Delete Folder" Text="Delete Folder" PostBack="true" ImageUrl="~\Images\Delete.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem IsSeparator="true">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="New Document" Text="New Document" ImageUrl="~\Images\new.gif">
                                                        </telerik:RadMenuItem>
                                                    </Items>
                                                </telerik:RadTreeViewContextMenu>
                                                <telerik:RadTreeViewContextMenu ID="DocumentScheduler" runat="server">
                                                    <Items>
                                                        <telerik:RadMenuItem Value="Run Document" Text="Run Document" PostBack="true" ImageUrl="~\Images\Run.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem IsSeparator="true">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="New Schedule" Text="New Schedule" ImageUrl="~\Images\Calendar.gif">
                                                        </telerik:RadMenuItem>
                                                    </Items>
                                                </telerik:RadTreeViewContextMenu>
                                                <telerik:RadTreeViewContextMenu ID="DocumentPublisher" runat="server" Width="150px">
                                                    <Items>
                                                        <telerik:RadMenuItem Value="Run Document" Text="Run Document" PostBack="true" ImageUrl="~\Images\Run.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem IsSeparator="true">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Edit Document" Text="Edit Document" ImageUrl="~\Images\Edit.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Move Document" Text="Move Document" ImageUrl="~\Images\Move.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="New Document" Text="New Document" ImageUrl="~\Images\new.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Delete Document" Text="Delete Document" PostBack="true"
                                                            ImageUrl="~\Images\Delete.gif">
                                                        </telerik:RadMenuItem>
                                                    </Items>
                                                </telerik:RadTreeViewContextMenu>
                                                <telerik:RadTreeViewContextMenu ID="DocumentPublisherScheduler" runat="server" Width="150px">
                                                    <Items>
                                                        <telerik:RadMenuItem Value="Run Document" Text="Run Document" PostBack="true" ImageUrl="~\Images\Run.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem IsSeparator="true">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Edit Document" Text="Edit Document" ImageUrl="~\Images\Edit.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Move Document" Text="Move Document" ImageUrl="~\Images\Move.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="New Document" Text="New Document" ImageUrl="~\Images\new.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Delete Document" Text="Delete Document" PostBack="true"
                                                            ImageUrl="~\Images\Delete.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem IsSeparator="true">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="New Schedule" Text="New Schedule" ImageUrl="~\Images\Calendar.gif">
                                                        </telerik:RadMenuItem>
                                                    </Items>
                                                </telerik:RadTreeViewContextMenu>
                                                <telerik:RadTreeViewContextMenu ID="DocumentAdmin" runat="server" Width="150px">
                                                    <Items>
                                                        <telerik:RadMenuItem Value="Run Document" Text="Run Document" PostBack="true" ImageUrl="~\Images\Run.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem IsSeparator="true">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Edit Document" Text="Edit Document" ImageUrl="~\Images\Edit.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Move Document" Text="Move Document" ImageUrl="~\Images\Move.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="New Document" Text="New Document" ImageUrl="~\Images\new.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="Delete Document" Text="Delete Document" PostBack="true"
                                                            ImageUrl="~\Images\Delete.gif">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem IsSeparator="true">
                                                        </telerik:RadMenuItem>
                                                        <telerik:RadMenuItem Value="New Schedule" Text="New Schedule" ImageUrl="~\Images\Calendar.gif">
                                                        </telerik:RadMenuItem>
                                                    </Items>
                                                </telerik:RadTreeViewContextMenu>
                                            </ContextMenus>
                                        </telerik:RadTreeView>
                                    </dx:PanelContent>
                                </PanelCollection>
                            </dx:ASPxRoundPanel>
						</div>
						<div id="ReportContainer">
							<div class="documentGroup" id="ripplestoneHome" runat="server">
                                <dx:ASPxRoundPanel ID="panelHome" runat="server" ShowCollapseButton="true" Width="100%" HeaderText="Ripplestone Home">
                                    <PanelCollection>
                                        <dx:PanelContent>
                                            <asp:Label ID="lblHomeMessage" runat="server">Ripplestone allows you to publish and schedule your Crystal Reports, Office documents, Acrobat documents in a central location.</asp:Label>
                                            <br />
                                            <br />
                                            <div id="EditRootFolder" runat="server">
                                                <asp:ImageButton ID="imgbtnRootFolderEdit" runat="server" ImageUrl="~/Images/Edit.gif"
                                                    ToolTip="Edit this folder" />
                                                <asp:HyperLink ID="linkRootFolderEdit" runat="server">Edit Folder</asp:HyperLink>
                                                <br />
                                            </div>
                                            <div id="RSNewFolder" runat="server">
                                                <asp:ImageButton ID="imgbtnFolder" runat="server" ImageUrl="~/Images/NewFolder.gif"
                                                    ToolTip="Create a new folder" PostBackUrl="EditFolders.aspx?Mode=A" />
                                                <asp:HyperLink ID="linkFolder" runat="server" NavigateUrl="EditFolders.aspx?Mode=A">Create New Folder</asp:HyperLink>
                                                <br />
                                            </div>
                                            <div id="RSNewDocument" runat="server">
                                                <asp:ImageButton ID="imgbtnPublish" runat="server" ImageUrl="~/Images/NewDocument.gif"
                                                    ToolTip="Publish a new document" />
                                                <asp:HyperLink ID="linkPublish" runat="server">Publish New Document</asp:HyperLink>
                                                <br />
                                            </div>
                                            <div id="RSNewSchedule" runat="server">
                                                <asp:ImageButton ID="imgbtnSchedule" runat="server" ImageUrl="~/Images/Calendar.gif"
                                                    ToolTip="Schedule a document" PostBackUrl="EditSchedule.aspx?Mode=A" />
                                                <asp:HyperLink ID="linkSchedule" runat="server" NavigateUrl="EditSchedule.aspx?Mode=A">Schedule New Document</asp:HyperLink>
                                            </div>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxRoundPanel>
							</div>
							<div class="documentGroup" id="myDocuments" runat="server">
                                <dx:ASPxRoundPanel ID="panelMyDocuments" runat="server" ShowCollapseButton="true" Width="100%" HeaderText="My Documents">
                                    <PanelCollection>
                                        <dx:PanelContent>
                                            <asp:Label ID="lblMyDocumentsDesc" runat="server">My Documents allows you to have a custom area for your favorite reports.</asp:Label>
                                            <br />
                                            <asp:Repeater ID="repeaterFavorites" runat="server">
                                                <HeaderTemplate>
                                                    <table class="RSTable" border="0" cellpadding="5" cellspacing="2">
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <tr style="<%# SetRowVisibility(Eval("DocumentActive").ToString() ) %>">
                                                        <td>
                                                            <asp:ImageButton ID="imgbtnRunFav" runat="server" ImageUrl="~/Images/Run.gif" CommandName="RunFavImage" CommandArgument='<%# Eval("DocumentID")%>' />
                                                        </td>
                                                        <td style="width: 100%;">
                                                            <asp:LinkButton ID="lnkbtnRunFav" runat="server" CommandName="RunFavLink" ToolTip='<%# "Document Location: " & Eval("FullFolderPath")%>' CommandArgument='<%# Eval("DocumentID")%>'>
												        <%# Eval("DocumentTitle")%>
                                                            </asp:LinkButton>
                                                        </td>
                                                        <td>
                                                            <asp:ImageButton ID="imgbtnDeleteFav" runat="server" ImageUrl="~/Images/Delete.gif" CommandName="DeleteFav" ToolTip="Remove this document from My Documents" CommandArgument='<%# Eval("DocumentID")%>' />
                                                        </td>
                                                        <td>
                                                            <a href='Home.aspx?nodeValue=D<%# Eval("DocumentID") %>' target="_self" class="UserLink">
                                                                <img src="Images/Move.gif" alt="Goto this document" title="Goto this document" />
                                                            </a>
                                                        </td>
                                                    </tr>
                                                </ItemTemplate>
                                                <FooterTemplate>
                                                    </table>
                                                </FooterTemplate>
                                            </asp:Repeater>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxRoundPanel>
							</div>
							<div class="documentGroup" id="folderHome" runat="server">
                                <dx:ASPxRoundPanel ID="panelFolder" runat="server" ShowCollapseButton="true" Width="100%" HeaderText="Folder Home">
                                    <PanelCollection>
                                        <dx:PanelContent>
                                            <asp:Label ID="lblFolderDescription" runat="server"></asp:Label>
                                            <br />
                                            <br />
                                            <asp:Repeater ID="repeaterFolderDocuments" runat="server">
                                                <HeaderTemplate>
                                                    <table class="RSTable" border="0" cellpadding="5" cellspacing="2">
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <tr style="<%# SetRowVisibility(Eval("Active").ToString() ) %>">
                                                        <td valign="top">
                                                            <asp:ImageButton ID="imgbtnFolder" runat="server" ImageUrl="~/Images/Run.gif" CommandName="RunFolderImage" CommandArgument='<%# Eval("ReportID")%>' />
                                                        </td>
                                                        <td style="width: 100%;">
                                                            <asp:LinkButton ID="lnkbtnFolder" runat="server" CommandName="RunFolderLink"  CommandArgument='<%# Eval("ReportID")%>'>
        												        <%# Eval("Title")%>
                                                            </asp:LinkButton>
                                                            <br />
                                                            <br />
                                                            <%# Container.DataItem("DescriptionTrimmed") %>
                                                        </td>
                                                    </tr>
                                                </ItemTemplate>
                                                <FooterTemplate>
                                                    </table>
                                                </FooterTemplate>
                                            </asp:Repeater>
                                            <br />
                                            <div id="EditFolder" runat="server">
                                                <asp:ImageButton ID="imgbtnFolderEdit" runat="server" ImageUrl="~/Images/Edit.gif"
                                                    ToolTip="Edit this folder" CssClass="editButton" />
                                                <asp:HyperLink ID="linkFolderEdit" runat="server">Edit Folder</asp:HyperLink>
                                                <br />
                                            </div>
                                            <div id="DeleteFolder" runat="server">
                                                <asp:ImageButton ID="imgbtnFolderDelete" runat="server" ImageUrl="Images/Delete.gif"
                                                    CssClass="deleteButton" ToolTip="Delete this folder" CommandName="Delete" />
                                                <asp:LinkButton ID="linkbtnFolderDelete" runat="server" CommandName="Delete">Delete Folder</asp:LinkButton>
                                                <br />
                                            </div>
                                            <div id="NewFolder" runat="server">
                                                <asp:ImageButton ID="imgbtnFolderNewFolder" runat="server" ImageUrl="~/Images/NewFolder.gif"
                                                    ToolTip="Create a new folder" CssClass="newFolderButton" PostBackUrl="EditFolders.aspx?Mode=A" />
                                                <asp:HyperLink ID="linkFolderNewFolder" runat="server" NavigateUrl="EditFolders.aspx?Mode=A">Create New Folder</asp:HyperLink>
                                                <br />
                                            </div>
                                            <div id="PublishDocument" runat="server">
                                                <asp:ImageButton ID="imgbtnFolderPublish" runat="server" ImageUrl="~/Images/NewDocument.gif"
                                                    ToolTip="Publish a new document" CssClass="newDocumentButton" />
                                                <asp:HyperLink ID="linkFolderPublish" runat="server">Publish New Document</asp:HyperLink>
                                                <br />
                                            </div>
                                            <div id="ScheduleDocument" runat="server">
                                                <asp:ImageButton ID="imgbtnFolderSchedule" runat="server" ImageUrl="~/Images/Calendar.gif"
                                                    ToolTip="Schedule a document" CssClass="newScheduleButton" PostBackUrl="EditSchedule.aspx?Mode=A" />
                                                <asp:HyperLink ID="linkFolderSchedule" runat="server" NavigateUrl="EditSchedule.aspx?Mode=A">Schedule New Document</asp:HyperLink>
                                            </div>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxRoundPanel>
							</div>
							<div class="documentGroup" id="documentActions" runat="server">
                                <dx:ASPxRoundPanel ID="panelDocumentActions" runat="server" ShowCollapseButton="false" Width="100%" HeaderText="Document Actions">
                                    <PanelCollection>
                                        <dx:PanelContent>
                                            <asp:ImageButton ID="imgbtnRunDoc" runat="server" ImageUrl="Images/Run.gif" CssClass="runButton"
                                                ToolTip="Run this document" CommandName="Run" />
                                            <asp:LinkButton ID="lnkbtnRunDoc" runat="server">Run Document</asp:LinkButton>
                                            <span id="runDocImg" runat="server"></span><span id="runDoc" runat="server"></span>
                                            &nbsp;
											<asp:ImageButton ID="imgbtnAddFavorite" runat="server" ImageUrl="Images/Favorite.gif"
                                                ToolTip="Add this document to your favorites" BorderStyle="None" CausesValidation="False"
                                                CssClass="addFavoriteButton" />
                                            <span id="crViewerOptions" runat="server">&nbsp;&nbsp;Select Output
											<asp:DropDownList ID="ddlViewer" runat="server">
                                                <asp:ListItem Value="web" Selected="False">Web Viewer</asp:ListItem>
                                                <asp:ListItem Value="pdf" Selected="False">PDF</asp:ListItem>
                                                <asp:ListItem Value="csv" Selected="False">CSV</asp:ListItem>
                                                <asp:ListItem Value="excel" Selected="False">Excel (xls)</asp:ListItem>
                                                <asp:ListItem Value="exceldata" Selected="False">Excel Data-Only (xls)</asp:ListItem>
                                                <asp:ListItem Value="excelworkbook" Selected="False">Excel Workbook (xlsx)</asp:ListItem>
                                                <asp:ListItem Value="rtf" Selected="False">Rich Text</asp:ListItem>
                                                <asp:ListItem Value="word" Selected="False">Word</asp:ListItem>
                                                <asp:ListItem Value="editablertf" Selected="False">Editable Rich Text</asp:ListItem>
                                                <asp:ListItem Value="text" Selected="False">Text</asp:ListItem>
                                                <asp:ListItem Value="tab" Selected="False">Tab Separated Text</asp:ListItem>
                                            </asp:DropDownList>
                                            </span>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxRoundPanel>
							</div>
							<div class="documentGroup" id="documentSchedules" runat="server">
                                <dx:ASPxRoundPanel ID="panelDocumentSchedule" runat="server" ShowCollapseButton="true" Width="100%" HeaderText="Document Schedules">
                                    <PanelCollection>
                                        <dx:PanelContent>
                                            <asp:Label ID="lblSchedule" runat="server"></asp:Label>
                                            <asp:ImageButton ID="imgbtnDocumentSchedule" runat="server" ImageUrl="~/Images/Calendar.gif"
                                                ToolTip="Schedule a document" CssClass="newScheduleButton" PostBackUrl="EditSchedule.aspx?Mode=A" />
                                            <asp:HyperLink ID="linkDocumentSchedule" runat="server" NavigateUrl="EditSchedule.aspx?Mode=A">Schedule New Document</asp:HyperLink>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxRoundPanel>
							</div>
							<div class="documentGroup" id="documentMaintenance" runat="server">
                                <dx:ASPxRoundPanel ID="panelDocumentMaintenance" runat="server" ShowCollapseButton="true" Width="100%" HeaderText="Document Maintenance">
                                    <PanelCollection>
                                        <dx:PanelContent>
                                            <asp:ImageButton ID="imgbtnDocMaintPublish" runat="server" ImageUrl="~/Images/NewDocument.gif"
                                                ToolTip="Publish a new document" CssClass="newDocumentButton" />
                                            <asp:HyperLink ID="linkDocumentPublish" runat="server">Publish New Document</asp:HyperLink>
                                            <br />
                                            <br />
                                            <asp:ImageButton ID="imgbtnEdit" runat="server" ImageUrl="~/Images/Edit.gif" ToolTip="Edit this document"
                                                CssClass="editButton" />
                                            <asp:HyperLink ID="linkEdit" runat="server">Edit Document</asp:HyperLink>
                                            <br />
                                            <asp:ImageButton ID="imgbtnDesign" runat="server" ImageUrl="~/Images/Edit.gif" ToolTip="Design this report"
                                                CssClass="editButton" />
                                            <asp:HyperLink ID="linkDesign" runat="server">Design Document</asp:HyperLink>
                                            <br />
                                            <asp:ImageButton ID="imgbtnMove" runat="server" ImageUrl="~/Images/Move.gif" ToolTip="Move this document to another folder"
                                                CssClass="moveButton" />
                                            <asp:HyperLink ID="linkMove" runat="server">Move Document</asp:HyperLink>
                                            <br />
                                            <asp:ImageButton ID="imgbtnDeleteDoc" runat="server" ImageUrl="Images/Delete.gif"
                                                CssClass="deleteButton" CommandName="Delete" />
                                            <asp:LinkButton ID="linkbtnDeleteDoc" runat="server" CommandName="Delete">Delete Document</asp:LinkButton>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxRoundPanel>
							</div>
							<div class="documentGroup" id="documentMetrics" runat="server">
                                <dx:ASPxRoundPanel ID="panelDocumentMetrics" runat="server" ShowCollapseButton="true" Width="100%" HeaderText="Document Information">
                                    <PanelCollection>
                                        <dx:PanelContent runat="server">
        									<asp:Label ID="lblDescription" runat="server"></asp:Label>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxRoundPanel>
							</div>
							<div class="documentGroup" id="documentSearch" runat="server">
                                <dx:ASPxRoundPanel ID="ASPxRoundPanel2" runat="server" ShowCollapseButton="true" Width="100%" HeaderText="Document Search">
                                    <PanelCollection>
                                        <dx:PanelContent>
                                            <asp:Repeater ID="repeaterSearch" runat="server">
                                                <HeaderTemplate>
                                                    <table class="RSTable" border="0" cellpadding="5" cellspacing="2">
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <tr style="<%# SetRowVisibility(Eval("Active").ToString() ) %>">
                                                        <td valign="top">
                                                            <asp:ImageButton ID="imgbtnSearch" runat="server" ImageUrl="~/Images/Run.gif" CommandName="RunSearchImage" CommandArgument='<%# Eval("ReportID")%>' />
                                                        </td>
                                                        <td style="width: 100%;">
                                                            <asp:LinkButton ID="lnkbtnSearch" runat="server" CommandName="RunSearchLink" ToolTip='<%# "Document Location: " & Eval("FullFolderPath")%>' CommandArgument='<%# Eval("ReportID")%>'>
												        <%# Eval("Title")%>
                                                            </asp:LinkButton>
                                                            <br />
                                                            <br />
                                                            <%# Container.DataItem("DescriptionTrimmed") %>
                                                        </td>
                                                        <td valign="top">
                                                            <a href='Home.aspx?nodeValue=D<%# Eval("ReportID") %>' target="_self" class="UserLink" >
                                                                <img src="Images/Move.gif" alt="Goto this document" title="Goto this document" />
                                                            </a>
                                                        </td>
                                                    </tr>
                                                </ItemTemplate>
                                                <FooterTemplate>
                                                    </table>
                                                </FooterTemplate>
                                            </asp:Repeater>
                                        </dx:PanelContent>
                                    </PanelCollection>
                                </dx:ASPxRoundPanel>
							</div>
						</div>
						<div class="clearfloats">
							<!-- need something in here -->
						</div>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabFavorites" Text="Favorites" ClientVisible="false">
				<ContentCollection>
					<dx:ContentControl ID="tabcontentFavorites" runat="server" SupportsDisabledAttribute="True">
						<div id="FavoritesHome" runat="server">
							<div class="documentGroup" id="MyFavoritesHome" runat="server">
								<div class="GroupHeading">
									<asp:Label ID="lblFavoritesTitle" runat="server">My Favorites</asp:Label>
								</div>
								<div class="GroupBody">
									<asp:Label ID="lblFavoritesDescription" runat="server">My Favorites allows you to have quick access to your favorite reports.</asp:Label>
									<br />
                                    <asp:Repeater ID="repeaterFavoritesHome" runat="server">
                                        <HeaderTemplate>
                                            <table class="RSTable" border="0" cellpadding="5" cellspacing="2">
                                        </HeaderTemplate>
                                        <ItemTemplate>
                                            <tr style="<%# SetRowVisibility(Eval("DocumentActive").ToString() ) %>">
                                                <td >
                                                    <asp:ImageButton ID="imgbtnRunFavHome" runat="server" ImageUrl="~/Images/Run.gif" CommandName="RunFavImage" CommandArgument='<%# Eval("DocumentID")%>' />
                                                </td>
                                                <td style="width: 100%;">
											        <asp:LinkButton ID="lnkbtnRunFavHome" runat="server" CommandName="RunFavLink" ToolTip='<%# "Document Location: " & Eval("FullFolderPath")%>' CommandArgument='<%# Eval("DocumentID")%>'>
												        <%# Eval("DocumentTitle")%>
											        </asp:LinkButton> (<%# "Document Location: " & Eval("FullFolderPath")%>)
                                                </td>
                                                <td>
                                                    <asp:ImageButton ID="imgbtnDeleteFavHome" runat="server" ImageUrl="~/Images/Delete.gif" CommandName="DeleteFav" ToolTip="Remove this document from Favorites" CommandArgument='<%# Eval("DocumentID")%>' />
                                                </td>
                                                <td>
                                                    <a href='Home.aspx?nodeValue=D<%# Eval("DocumentID") %>' target="_self" class="UserLink">
                                                        <img src="Images/Move.gif" alt="Goto this document" title="Goto this document" />
                                                    </a>
                                                </td>
                                            </tr>
                                        </ItemTemplate>
                                        <FooterTemplate>
                                            </table>
                                        </FooterTemplate>
                                    </asp:Repeater>
									<br />
								</div>
							</div>
						</div>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabReport1" Text="Empty Report 1" ClientVisible="false">
				<ContentCollection>
					<dx:ContentControl ID="tabcontentReport1" runat="server" SupportsDisabledAttribute="True" Width="100%">
                        <dx:ASPxPanel ID="pnlReport1Parameters" runat="server" Width="200px" Visible="false">
                            <PanelCollection>
                                <dx:PanelContent>
                                    <table cellspacing="0" cellpadding="5" width="100%" border="0">
                                        <tr>
                                            <td>
                                                <h2 id="ctlReportTitle" style="padding-right: 0px; padding-left: 0px; padding-bottom: 0px; margin: 0px; padding-top: 0px; text-align: left"
                                                    runat="server"></h2>
                                            </td>
                                            <td align="right"><a class="CommandLink" href="javascript:closeWindow()">Close Window</a></td>
                                        </tr>
                                    </table>
                                    <p style="text-align: left">
                                        This report requires some additional information that can be entered in the form below.
                                    </p>
                                    <div>
                                        <table cellspacing="0" cellpadding="0" border="0">
                                            <tr id="MissingParameterMessageRow" style="color: red" runat="server">
                                                <td id="MissingParameterMessageCell" runat="server"></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <uc1:ReportParameters ID="ReportParameters1" runat="server"></uc1:ReportParameters>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:Button ID="btnRunReport" runat="server" Text="Run Report"></asp:Button>
                                                    <asp:TextBox ID="txtMode" runat="server" Visible="False">Report</asp:TextBox></td>
                                            </tr>
                                        </table>
                                    </div>
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxPanel>
                        <dx:ASPxPanel ID="pnlReport1WebViewer" runat="server" Width="200px" CssClass="edInline">
                            <PanelCollection>
                                <dx:PanelContent>
                                    <br />
                                    <dx:ASPxButton ID="aspxbtnReportRefresh1" runat="server" Text="Refresh Report" CssClass="edInline"></dx:ASPxButton>
                                    <dx:ASPxButton ID="aspxbtnCustomExport1" runat="server" Text="Custom Export" AutoPostBack="false" EnableClientSideAPI="True" ClientInstanceName="customExport1" CssClass="edInline">
                                        <ClientSideEvents Click="function(s, e) {openLog(&quot;CustomExportOptions.aspx?report=1&quot;)}" />
                                    </dx:ASPxButton>
                                    <dx:ASPxButton ID="aspxbtnCloseReport1" runat="server" Text="Close Report" CssClass="edInline"></dx:ASPxButton>
                                    <asp:HiddenField ID="hideDocID1" runat="server" />
                                    <br />
                                    <br />
                                    <CR:CrystalReportViewer ID="CrystalReportViewer1" runat="server" AutoDataBind="true"
                                        EnableDatabaseLogonPrompt="False" HasCrystalLogo="False" ReuseParameterValuesOnRefresh="False"
                                        ToolPanelView="None" HasRefreshButton="True" ViewStateMode="Enabled" PrintMode="ActiveX" />
                                </dx:PanelContent>
                            </PanelCollection>
                        </dx:ASPxPanel>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabReport2" Text="Empty Report 2" ClientVisible="False">
				<ContentCollection>
					<dx:ContentControl ID="tabcontentReport2" runat="server" SupportsDisabledAttribute="True" Width="100%">
						<div id="report2" runat="server">
							<br />
							<dx:ASPxButton ID="aspxbtnReportRefresh2" runat="server" Text="Refresh Report"></dx:ASPxButton>
                            <dx:ASPxButton ID="aspxbtnCustomExport2" runat="server" Text="Custom Export" AutoPostBack="false" EnableClientSideAPI="True" ClientInstanceName="customExport2" CssClass="edInline">
                                <ClientSideEvents Click="function(s, e) {openLog(&quot;CustomExportOptions.aspx?report=2&quot;)}" />
                            </dx:ASPxButton>
                            <dx:ASPxButton ID="aspxbtnCloseReport2" runat="server" Text="Close Report"></dx:ASPxButton>
							<asp:HiddenField ID="hideDocID2" runat="server" />
							<br />
							<br />
							<CR:CrystalReportViewer ID="CrystalReportViewer2" runat="server" AutoDataBind="true"
								EnableDatabaseLogonPrompt="False" HasCrystalLogo="False" ReuseParameterValuesOnRefresh="False"
								ToolPanelView="None" HasRefreshButton="True" ViewStateMode="Enabled" PrintMode="ActiveX" />
						</div>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabReport3" Text="Empty Report 3" ClientVisible="false">
				<ContentCollection>
					<dx:ContentControl ID="tabcontentReport3" runat="server" SupportsDisabledAttribute="True">
						<br />
						<dx:ASPxButton ID="aspxbtnReportRefresh3" runat="server" Text="Refresh Report"></dx:ASPxButton>
                        <dx:ASPxButton ID="aspxbtnCustomExport3" runat="server" Text="Custom Export" AutoPostBack="false" EnableClientSideAPI="True" ClientInstanceName="customExport3" CssClass="edInline">
                            <ClientSideEvents Click="function(s, e) {openLog(&quot;CustomExportOptions.aspx?report=3&quot;)}" />
                        </dx:ASPxButton>
                        <dx:ASPxButton ID="aspxbtnCloseReport3" runat="server" Text="Close Report"></dx:ASPxButton>
						<asp:HiddenField ID="HideDocID3" runat="server" />
						<br />
						<br />
						<CR:CrystalReportViewer ID="CrystalReportViewer3" runat="server" AutoDataBind="true"
							EnableDatabaseLogonPrompt="False" HasCrystalLogo="False" ReuseParameterValuesOnRefresh="False"
							ToolPanelView="None" HasRefreshButton="True" ViewStateMode="Enabled" PrintMode="ActiveX" />
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabReport4" Text="Empty Report 4" ClientVisible="false">
				<ContentCollection>
					<dx:ContentControl ID="tabcontentReport4" runat="server" SupportsDisabledAttribute="True">
						<br />
						<dx:ASPxButton ID="aspxbtnReportRefresh4" runat="server" Text="Refresh Report"></dx:ASPxButton>
                        <dx:ASPxButton ID="aspxbtnCustomExport4" runat="server" Text="Custom Export" AutoPostBack="false" EnableClientSideAPI="True" ClientInstanceName="customExport4" CssClass="edInline">
                            <ClientSideEvents Click="function(s, e) {openLog(&quot;CustomExportOptions.aspx?report=4&quot;)}" />
                        </dx:ASPxButton>
                        <dx:ASPxButton ID="aspxbtnCloseReport4" runat="server" Text="Close Report"></dx:ASPxButton>
						<asp:HiddenField ID="HideDocID4" runat="server" />
						<br />
						<br />
						<CR:CrystalReportViewer ID="CrystalReportViewer4" runat="server" AutoDataBind="true"
							EnableDatabaseLogonPrompt="False" HasCrystalLogo="False" ReuseParameterValuesOnRefresh="False"
							ToolPanelView="None" HasRefreshButton="True" ViewStateMode="Enabled" PrintMode="ActiveX" />
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabReport5" Text="Empty Report 5" ClientVisible="false">
				<ContentCollection>
					<dx:ContentControl ID="tabcontentReport5" runat="server" SupportsDisabledAttribute="True">
						<br />
						<dx:ASPxButton ID="aspxbtnReportRefresh5" runat="server" Text="Refresh Report"></dx:ASPxButton>
                        <dx:ASPxButton ID="aspxbtnCustomExport5" runat="server" Text="Custom Export" AutoPostBack="false" EnableClientSideAPI="True" ClientInstanceName="customExport5" CssClass="edInline">
                            <ClientSideEvents Click="function(s, e) {openLog(&quot;CustomExportOptions.aspx?report=5&quot;)}" />
                        </dx:ASPxButton>
                        <dx:ASPxButton ID="aspxbtnCloseReport5" runat="server" Text="Close Report"></dx:ASPxButton>
						<asp:HiddenField ID="HideDocID5" runat="server" />
						<br />
						<br />
						<CR:CrystalReportViewer ID="CrystalReportViewer5" runat="server" AutoDataBind="true"
							EnableDatabaseLogonPrompt="False" HasCrystalLogo="False" ReuseParameterValuesOnRefresh="False"
							ToolPanelView="None" HasRefreshButton="True" ViewStateMode="Enabled" PrintMode="ActiveX" />
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
            <dx:TabPage Name="tabRSReport1" Text="Empty RS Report 1" ClientVisible="false">
                <ContentCollection>
                    <dx:ContentControl ID="tabcontentRSReport1" runat="server" SupportsDisabledAttribute="True">
                        <br />
                        <dx:ASPxButton ID="aspxbtnCloseRSReport1" runat="server" Text="Close Report"></dx:ASPxButton>
                        <asp:HiddenField ID="hideDocID6" runat="server" />
                        <br />
                        <br />
                        <dx:ASPxWebDocumentViewer ID="webreportViewer1" runat="server"></dx:ASPxWebDocumentViewer>
                    </dx:ContentControl>
                </ContentCollection>
            </dx:TabPage>
            <dx:TabPage Name="tabRSReport2" Text="Empty RS Report 2" ClientVisible="false">
                <ContentCollection>
                    <dx:ContentControl ID="tabcontentRSReport2" runat="server" SupportsDisabledAttribute="True">
                        <br />
                        <dx:ASPxButton ID="aspxbtnCloseRSReport2" runat="server" Text="Close Report"></dx:ASPxButton>
                        <asp:HiddenField ID="hideDocID7" runat="server" />
                        <br />
                        <br />
                        <dx:ASPxWebDocumentViewer ID="webreportViewer2" runat="server"></dx:ASPxWebDocumentViewer>
                    </dx:ContentControl>
                </ContentCollection>
            </dx:TabPage>
            <dx:TabPage Name="tabExcel1" Text="Empty Excel 1" ClientVisible="false">
                <ContentCollection>
                    <dx:ContentControl ID="tabcontentExcel1" runat="server" SupportsDisabledAttribute="True">
                        <dx:ASPxButton ID="aspxbtnCloseExcel1" runat="server" Text="Close Excel"></dx:ASPxButton>
                        <br />
                        <dx:ASPxSpreadsheet ID="ASPxSpreadsheet1" runat="server" WorkDirectory="~/ReportFolders" ShowFormulaBar="False" ReadOnly="True" SettingsView-Mode="Editing" ShowSheetTabs="False"></dx:ASPxSpreadsheet>
                    </dx:ContentControl>
                </ContentCollection>
            </dx:TabPage>
            <dx:TabPage Name="tabWord1" Text="Empty Word 1" ClientVisible="false">
                <ContentCollection>
                    <dx:ContentControl ID="tabcontentWord1" runat="server" SupportsDisabledAttribute="True">
                        <dx:ASPxButton ID="aspxbtnCloseWord" runat="server" Text="Close Word"></dx:ASPxButton>
                        <br />
                        <dx:ASPxRichEdit ID="ASPxRichEdit1" runat="server" WorkDirectory="~\ReportFolders" ReadOnly="True" RibbonMode="None"></dx:ASPxRichEdit>
                    </dx:ContentControl>
                </ContentCollection>
            </dx:TabPage>
        </TabPages>
		<LoadingPanelImage Url="~/App_Themes/Office2010Blue/Web/Loading.gif">
		</LoadingPanelImage>
		<LoadingPanelStyle ImageSpacing="5px">
		</LoadingPanelStyle>
		<Paddings Padding="2px" PaddingLeft="5px" PaddingRight="5px" />
		<Paddings Padding="2px" PaddingLeft="5px" PaddingRight="5px"></Paddings>
		<ContentStyle>
			<Border BorderColor="#859EBF" BorderStyle="Solid" BorderWidth="1px" />
			<Border BorderColor="#859EBF" BorderStyle="Solid" BorderWidth="1px"></Border>
			<Paddings Padding="12px"></Paddings>
			<Paddings Padding="12px" />
		</ContentStyle>
	</dx:ASPxPageControl>
	<br />
</asp:Content>
