﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="CRViewer.aspx.vb" Inherits="RSWebApp.CRViewer" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<%@ Register assembly="CrystalDecisions.Web, Version=13.0.3500.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" namespace="CrystalDecisions.Web" tagprefix="CR" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>Crystal Report Viewer</title>
    <script src="Scripts/jquery-2.1.4.js" type="text/javascript"></script>
	<script language="JavaScript" type="text/javascript" src="RipplestoneCommon.js"></script>
	<script language="JavaScript" type="text/javascript" src="selectbox.js"></script>
    <style type="text/css">
        body
        {
	        background: white;
	        font-family: Verdana, Arial, Sans-Serif;
	        font-weight: normal;
	        padding: 0;
	        margin: 0;
	        text-align: left;
        }
        .MainBody
        {
	        width: 1000px;
            margin: 10px auto 10px auto;
	        background-color: white;
	        border: 1px solid #6699CC;
	        padding: 0 5px 0 5px;
	        position: relative;
        }
        .edInline
        {
            display: inline-table;
        }
    </style>
</head>
<body>
	<form id="form1" runat="server">
	<div class="MainBody">
        <div style="padding-top: 10px; padding-bottom: 10px;">
            <dx:ASPxLabel ID="ASPxlblReportTitle" runat="server" Text="Report Title" CssClass="edInline" Font-Bold="False" Font-Size="Small"></dx:ASPxLabel>
            <dx:ASPxButton ID="aspxbtnCloseReport" runat="server" Text="Close Report" CssClass="edInline"></dx:ASPxButton><br />
            <dx:ASPxLabel ID="ASPxlblInstructions" runat="server" Text="Please use the close button when you are finished viewing the report" CssClass="edInline" 
                Font-Bold="False" Font-Size="Small"></dx:ASPxLabel>
        </div>
		<div>
			<asp:HiddenField ID="hideDocID" runat="server" />
			<CR:CrystalReportViewer ID="CrystalReportViewer1" runat="server" AutoDataBind="true"
				EnableDatabaseLogonPrompt="False" HasCrystalLogo="False" ReuseParameterValuesOnRefresh="False"
				ToolPanelView="None" HasRefreshButton="True" ViewStateMode="Enabled" PrintMode="ActiveX" />
		</div>
	</div>
	</form>
</body>
</html>
