﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.Users" Title="Users" Codebehind="Users.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.12.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
	<div class="nav2">
		<a class="nav2left" onclick="callHelp('UserGeneral.htm')" href="javascript:void(0)" tabindex="-1">
			<img alt="Help" src="images/help3.gif" /></a>&nbsp; <span class="nav2title">Users</span> <a href="EditUser.aspx?Mode=A" class="nav2right">Add New User</a>
	</div>
	<div id="dataGrid">
		<asp:HiddenField ID="hideCurrentUserID" runat="server" />
		<asp:ObjectDataSource ID="dataUsers" runat="server" DeleteMethod="DeleteUserByID" SelectMethod="GetAllUsers" TypeName="Ripplestone.BLL.User">
			<DeleteParameters>
				<asp:Parameter Name="ID" Type="Int32" />
			</DeleteParameters>
			<SelectParameters>
				<asp:ControlParameter ControlID="hideCurrentUserID" DefaultValue="0" Name="ID" PropertyName="Value" Type="Int32" />
			</SelectParameters>
		</asp:ObjectDataSource>
		<dx:ASPxGridView ID="gridUsers" runat="server" AutoGenerateColumns="False" Width="100%" KeyFieldName="ID" ClientInstanceName="gv" 
			EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True" DataSourceID="dataUsers">
            <SettingsContextMenu Enabled="True" />
            <SettingsPager PageSize="20">
				<PageSizeItemSettings ShowAllItem="True" Visible="True">
				</PageSizeItemSettings>
			</SettingsPager>
			<Settings ShowFilterRow="True" ShowGroupPanel="True" ShowFilterBar="Auto" ShowFilterRowMenu="True" />
			<SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
			<SettingsSearchPanel Visible="True" ShowApplyButton="True" ShowClearButton="True" />
			<Columns>
                <dx:GridViewDataTextColumn Caption="ID" FieldName="ID" ReadOnly="True" VisibleIndex="0" Width="50px">
                    <EditFormSettings Visible="False" />
                    <HeaderStyle HorizontalAlign="Center">
                        <Paddings Padding="1px" />
                    </HeaderStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="User" FieldName="UserLogin" ReadOnly="True" VisibleIndex="1">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn Caption="First Name" FieldName="FirstName" ReadOnly="True" VisibleIndex="2">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn Caption="Last Name" FieldName="LastName" ReadOnly="True" VisibleIndex="3">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataDateColumn Caption="Last Login" FieldName="LastLogon" ReadOnly="True" VisibleIndex="4">
					<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
					</PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
				<dx:GridViewDataTextColumn Caption="Login Count" FieldName="LogonCount" ReadOnly="True" VisibleIndex="5" Width="50px">
					<HeaderStyle HorizontalAlign="Center" Wrap="True" />
					<CellStyle HorizontalAlign="Center">
					</CellStyle>
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataCheckColumn Caption="Windows Security" FieldName="WindowsUserID" VisibleIndex="6" Width="50px">
					<HeaderStyle HorizontalAlign="Center" Wrap="True" />
				</dx:GridViewDataCheckColumn>
				<dx:GridViewDataCheckColumn Caption="Active" FieldName="Active" VisibleIndex="7" Width="50px">
					<HeaderStyle HorizontalAlign="Center" />
				</dx:GridViewDataCheckColumn>
                <dx:GridViewDataTextColumn Caption="Email" FieldName="Email" ReadOnly="True" VisibleIndex="8" Visible="false">
                </dx:GridViewDataTextColumn>
                <dx:GridViewCommandColumn ButtonType="Image" Caption="Edit" VisibleIndex="20" Name="Edit" Width="50px">
					<CustomButtons>
						<dx:GridViewCommandColumnCustomButton ID="btnEditUser" Text="Edit" Visibility="AllDataRows">
							<Image ToolTip="Click to edit this record" Url="~/Images/Edit.gif" />
						</dx:GridViewCommandColumnCustomButton>
					</CustomButtons>
					<HeaderStyle HorizontalAlign="Center" />
				</dx:GridViewCommandColumn>
                <dx:GridViewCommandColumn ButtonType="Image" Caption="Copy" VisibleIndex="25" Name="Copy" Width="40px" ToolTip="Click to create a copy of this user">
                    <CustomButtons>
                        <dx:GridViewCommandColumnCustomButton ID="btnCopy" Text="Copy" Visibility="AllDataRows">
                            <Image ToolTip="Click to copy this user" Url="~/Images/Copy.gif" />
                        </dx:GridViewCommandColumnCustomButton>
                    </CustomButtons>
                    <HeaderStyle HorizontalAlign="Center">
                        <Paddings Padding="1px" />
                    </HeaderStyle>
                    <CellStyle>
                        <Paddings Padding="1px" />
                    </CellStyle>
                </dx:GridViewCommandColumn>
                <dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="30" ButtonType="Image" Caption="Delete" Name="Delete" AllowDragDrop="False" Width="50px">
					<HeaderStyle HorizontalAlign="Center" />
					<CellStyle>
						<BackgroundImage Repeat="NoRepeat" />
					</CellStyle>
				</dx:GridViewCommandColumn>
			</Columns>
			<SettingsCommandButton>
				<DeleteButton>
					<Image ToolTip="Delete this record" Url="~/Images/Delete.gif" />
				</DeleteButton>
			</SettingsCommandButton>
			<SettingsBehavior ConfirmDelete="True" AllowSelectByRowClick="True" AllowSelectSingleRowOnly="True" EnableCustomizationWindow="True" />
			<SettingsDataSecurity AllowInsert="False" AllowEdit="False" />
			<Styles AdaptiveDetailButtonWidth="22"></Styles>
		</dx:ASPxGridView>
	</div>
</asp:Content>
